privacy problem on users info

2021-01-14 17:23 - Fabrizio Sebastiani

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.1.1

Description

If a logged-is user start to access cyclically to urls likes this:

 https://example.com/redmine/users/5

 https://example.com/redmine/users/6

 https://example.com/redmine/users/7

 ...

 he/she will see get the full organization's useers, members, informations, accounts, email etc...  This is a particular sensible

information if organization needs to hide and protect membership information to all users.

This looks violation of privacy information. Also the organization cannot hide to any member this wide information. Looks a design

lack.

History

#1 - 2021-01-14 19:16 - Marius BĂLTEANU

- Status changed from New to Needs feedback

Can you access all those information using an user without permissions?

#2 - 2021-01-21 23:20 - Michael Troester

Marius BALTEANU wrote:

Can you access all those information using an user without permissions?

 I can, from my (presumably) unprivileged acct. The 'hide email address' feature seems to work though. Maybe need to add more 'hide [data]' options

for other sensitive data fields?

#3 - 2021-01-24 22:45 - Marius BĂLTEANU

Michael Troester wrote:

Marius BALTEANU wrote:

Can you access all those information using an user without permissions?

 I can, from my (presumably) unprivileged acct. The 'hide email address' feature seems to work though. Maybe need to add more 'hide [data]'

options for other sensitive data fields?

 You already have the following settings:

1. Users visibility (All active users / Members of visible projects) at role level.

2. The "hide email address" already mentioned by you.

3. "Users display format" global setting to control how to show the user based on First name and Last name.

which covers all the users standard fields. If you want to be very strict about who have access to user's info, maybe you should review the setting

from 1 for all roles.

Regarding more 'hide [data]', do you have custom fields for users? If yes, that make sense to have the same options to configure the custom field

visibility as already exists for issues, spent time, versions or projects.
